GNUNET-DNS2GNS(1)

NAME
gnunet-dns2gns - run a DNS-to-GNS proxy

SYNOPSIS
gnunet-dns2gns [-c FILENAME | --config=FILENAME] [-d IP | --dns=IP] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version]

DESCRIPTION
gnunet-dns2gns runs a DNS resolver which delegates requests GNS if the TLD matches one configured for GNS. All other requests are forwarded to DNS. This DNS proxy is useful for enabling non-personalized GNS-resolution to an entire network or to offer GNS-resolution to DNS users.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-d IP | --dns=IP
    IP address of a recursive DNS resolver that should be used for non-GADS hostnames.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print GNUnet version number.

SEE ALSO
gnunet-gns-fcfs(1), gnunet-gns(1), gnunet-identity(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.